optoKummenberg

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | Protected Member Functions | List of all members
optoKummenberg.registers.MiscSystems.Logger Class Reference
Inheritance diagram for optoKummenberg.registers.MiscSystems.Logger:

## Public Member Functions
def | __init__ (self, board=None)
def | GetLoggedRegister (self, log_number)
def | SetLoggedRegister (self, log_number, value)
def | RunLogger (self)
def | StopLogger (self)
def | GetLog (self, log_number, index, count)
def | GetSamplingFrequency (self)
def | SetSamplingFrequency (self, value)
def | to_int (self, float_v)
Public Member Functions inherited from optoKummenberg.registers.ClassAbstracts.System
def | __init__ (self, int or None channel=None, board=None)
def | set_register (self, str or int register_name_or_id, value, bool set_internal=False)
def | set_register_id (self, int register_id, value, type=None)
def | get_register (self, str or int register_name_or_id)
def | get_register_id (self, int register_id)
def | get_register_names (self)

## Public Attributes
| sys_id
| logged_register_0
| logged_register_1
| logged_register_2
| logged_register_3
| logged_register_4
| logged_register_5
| logged_register_6
| logged_register_7
| logged_register_8
| logged_register_9
| logged_register_10
| logged_register_11
| run
| sampling_frequency
| register_log_0
| register_log_1
| register_log_2
| register_log_3
| register_log_4
| register_log_5
| register_log_6
| register_log_7
| register_log_8
| register_log_9
| register_log_10
| register_log_11
| name
Public Attributes inherited from optoKummenberg.registers.ClassAbstracts.System
| name
| register_list

## Protected Member Functions
def | _GetLogSegment (self, log_number, index, count)
Protected Member Functions inherited from optoKummenberg.registers.ClassAbstracts.System
def | _get_register_list (self)

## Additional Inherited Members
Protected Attributes inherited from optoKummenberg.registers.ClassAbstracts.System
| _channel
| _is_a_system
| _board
Static Protected Attributes inherited from optoKummenberg.registers.ClassAbstracts.System
bool | _is_a_system = False

## Detailed Description

    Device Functionality - Logger
    System ID: 0x24

    A system for logging the values of various readable registers.

    +---------------------------+------+-------------+------+-------+---------+-------------------------------------------+
    | Register Name             | Id   | Type        | Unit | Range | Default | Comment                                   |
    +===========================+======+=============+======+=======+=========+===========================================+
    | logged_register_0         | 0x00 | uint 32-bit |None  |       |         |                                           |
    +---------------------------+------+-------------+------+-------+---------+-------------------------------------------+
    | logged_register_1         | 0x01 | uint 32-bit |None  |       |         |                                           |
    +---------------------------+------+-------------+------+-------+---------+-------------------------------------------+
    | logged_register_2         | 0x02 | uint 32-bit |None  |       |         |                                           |
    +---------------------------+------+-------------+------+-------+---------+-------------------------------------------+
    | logged_register_3         | 0x03 | uint 32-bit |None  |       |         |                                           |
    +---------------------------+------+-------------+------+-------+---------+-------------------------------------------+
    | logged_register_4         | 0x04 | uint 32-bit |None  |       |         |                                           |
    +---------------------------+------+-------------+------+-------+---------+-------------------------------------------+
    | logged_register_5         | 0x05 | uint 32-bit |None  |       |         |                                           |
    +---------------------------+------+-------------+------+-------+---------+-------------------------------------------+
    | run                       | 0x06 | uint 32-bit |Bool  |       |         |                                           |
    +---------------------------+------+-------------+------+-------+---------+-------------------------------------------+
    | sampling_frequency        | 0x07 | uint 32-bit |float |       | 10000   |                                           |
    +---------------------------+------+-------------+------+-------+---------+-------------------------------------------+

## Constructor & Destructor Documentation

## ◆ __init__()

def optoKummenberg.registers.MiscSystems.Logger.__init__ | ( |  | self,
|  |  | board = `None`
| ) |  |

Reimplemented from optoKummenberg.registers.ClassAbstracts.System.

## Member Function Documentation

## ◆ _GetLogSegment()

def optoKummenberg.registers.MiscSystems.Logger._GetLogSegment | ( |  | self,
|  |  | log_number,
|  |  | index,
|  |  | count
| ) |  |
| protected

## ◆ GetLog()

def optoKummenberg.registers.MiscSystems.Logger.GetLog | ( |  | self,
|  |  | log_number,
|  |  | index,
|  |  | count
| ) |  |

## ◆ GetLoggedRegister()

def optoKummenberg.registers.MiscSystems.Logger.GetLoggedRegister | ( |  | self,
|  |  | log_number
| ) |  |

## ◆ GetSamplingFrequency()

def optoKummenberg.registers.MiscSystems.Logger.GetSamplingFrequency | ( |  | self | ) |

## ◆ RunLogger()

def optoKummenberg.registers.MiscSystems.Logger.RunLogger | ( |  | self | ) |

## ◆ SetLoggedRegister()

def optoKummenberg.registers.MiscSystems.Logger.SetLoggedRegister | ( |  | self,
|  |  | log_number,
|  |  | value
| ) |  |

## ◆ SetSamplingFrequency()

def optoKummenberg.registers.MiscSystems.Logger.SetSamplingFrequency | ( |  | self,
|  |  | value
| ) |  |

## ◆ StopLogger()

def optoKummenberg.registers.MiscSystems.Logger.StopLogger | ( |  | self | ) |

## ◆ to_int()

def optoKummenberg.registers.MiscSystems.Logger.to_int | ( |  | self,
|  |  | float_v
| ) |  |

## Member Data Documentation

## ◆ logged_register_0

optoKummenberg.registers.MiscSystems.Logger.logged_register_0

## ◆ logged_register_1

optoKummenberg.registers.MiscSystems.Logger.logged_register_1

## ◆ logged_register_10

optoKummenberg.registers.MiscSystems.Logger.logged_register_10

## ◆ logged_register_11

optoKummenberg.registers.MiscSystems.Logger.logged_register_11

## ◆ logged_register_2

optoKummenberg.registers.MiscSystems.Logger.logged_register_2

## ◆ logged_register_3

optoKummenberg.registers.MiscSystems.Logger.logged_register_3

## ◆ logged_register_4

optoKummenberg.registers.MiscSystems.Logger.logged_register_4

## ◆ logged_register_5

optoKummenberg.registers.MiscSystems.Logger.logged_register_5

## ◆ logged_register_6

optoKummenberg.registers.MiscSystems.Logger.logged_register_6

## ◆ logged_register_7

optoKummenberg.registers.MiscSystems.Logger.logged_register_7

## ◆ logged_register_8

optoKummenberg.registers.MiscSystems.Logger.logged_register_8

## ◆ logged_register_9

optoKummenberg.registers.MiscSystems.Logger.logged_register_9

## ◆ name

optoKummenberg.registers.MiscSystems.Logger.name

## ◆ register_log_0

optoKummenberg.registers.MiscSystems.Logger.register_log_0

## ◆ register_log_1

optoKummenberg.registers.MiscSystems.Logger.register_log_1

## ◆ register_log_10

optoKummenberg.registers.MiscSystems.Logger.register_log_10

## ◆ register_log_11

optoKummenberg.registers.MiscSystems.Logger.register_log_11

## ◆ register_log_2

optoKummenberg.registers.MiscSystems.Logger.register_log_2

## ◆ register_log_3

optoKummenberg.registers.MiscSystems.Logger.register_log_3

## ◆ register_log_4

optoKummenberg.registers.MiscSystems.Logger.register_log_4

## ◆ register_log_5

optoKummenberg.registers.MiscSystems.Logger.register_log_5

## ◆ register_log_6

optoKummenberg.registers.MiscSystems.Logger.register_log_6

## ◆ register_log_7

optoKummenberg.registers.MiscSystems.Logger.register_log_7

## ◆ register_log_8

optoKummenberg.registers.MiscSystems.Logger.register_log_8

## ◆ register_log_9

optoKummenberg.registers.MiscSystems.Logger.register_log_9

## ◆ run

optoKummenberg.registers.MiscSystems.Logger.run

## ◆ sampling_frequency

optoKummenberg.registers.MiscSystems.Logger.sampling_frequency

## ◆ sys_id

optoKummenberg.registers.MiscSystems.Logger.sys_id

The documentation for this class was generated from the following file:

- C:/Users/filip.stary/Documents/142-421-00_optoKummenberg/src/main/python/optoKummenberg/registers/MiscSystems.py